← Dashboard
⚡ API Reference
v1.0 · REST · JSON
RÉFÉRENCE
Authentication
Marketplace
Products
Markets
Calculator
Webhooks
BASE URL
https://api.iea-platform.com
Authentication
Toutes les requêtes API doivent inclure un Bearer token dans le header
Authorization
.
Obtenir un token
POST https://api.iea-platform.com/v1/auth/token
Content-Type: application/json
{
"client_id":
"your_client_id",
"client_secret":
"your_client_secret",
"grant_type":
"client_credentials"
}
Réponse
{
"access_token":
"eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...",
"token_type":
"Bearer",
"expires_in":
3600,
"scope":
"marketplace:read marketplace:write markets:read"
}
Utilisation dans les requêtes
curl -X GET https://api.iea-platform.com/v1/marketplace/products \
-H "Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9..." \
-H "Accept: application/json"